unit uDM;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  HTTPApp, DBWeb, DBTables, Db;

type
  TDM1 = class(TDataModule)
    Query1: TQuery;
    Session1: TSession;
    DataSetTableProducer1: TDataSetTableProducer;
    procedure DataSetTableProducer1FormatCell(Sender: TObject; CellRow,
      CellColumn: Integer; var BgColor: THTMLBgColor;
      var Align: THTMLAlign; var VAlign: THTMLVAlign; var CustomAttrs,
      CellData: String);
  private
    { Private declarations }
  public
    function GetVendorInfoPage(sSQL : string) : string;
    { Public declarations }
  end;

var
  DM1: TDM1;

implementation

{$R *.DFM}

{ TDM1 }

function TDM1.GetVendorInfoPage(sSQL : string) : string;
begin
  with Query1 do
  begin
    Close;
    SQL.Clear;
    SQL.Add(sSQL);
    Open;
  end;
  Result := DataSetTableProducer1.Content;
end;

procedure TDM1.DataSetTableProducer1FormatCell(Sender: TObject; CellRow,
  CellColumn: Integer; var BgColor: THTMLBgColor; var Align: THTMLAlign;
  var VAlign: THTMLVAlign; var CustomAttrs, CellData: String);
begin
  { Color the First Column }
  if CellColumn = 0 then
    BgColor := 'Teal';
  { Color the Second Column }
  if CellColumn = 1 then
    BgColor := 'Olive';
  { Color the Second Row - excluding the Field Name Row }
  if CellRow = 2 then
    BgColor := 'Red';
  { Color all instances of the Field - Preferred where the Value = False }
  if CellColumn = 10 then
  begin
    if CellData = 'F' then
      BgColor := 'Yellow';
  end;
end;

end.
