unit uVendor_Impl;

interface

uses
  ComObj, ActiveX, AspTlb, DelphiASP_TLB, StdVcl, uDM;

type
  TVendor = class(TASPObject, IVendor)
  protected
    FDM : TDM1;
    procedure OnEndPage; safecall;
    procedure OnStartPage(const AScriptingContext: IUnknown); safecall;
    procedure GetVendors; safecall;
    property DM : TDM1 read FDM;
  end;

implementation

uses ComServ;

procedure TVendor.OnEndPage;
begin
  FDM.Free;
  FDM := nil;
  inherited OnEndPage;
end;

procedure TVendor.OnStartPage(const AScriptingContext: IUnknown);
begin
  inherited OnStartPage(AScriptingContext);
  FDM := TDM1.Create(nil);
end;

procedure TVendor.GetVendors;
var
  sSQL : string;
begin
  sSQL := Request.Form['txtSQL'];
  Response.Write(DM.GetVendorInfoPage(sSQL));
end;

initialization
  TAutoObjectFactory.Create(ComServer, TVendor, Class_Vendor,
    ciMultiInstance, tmApartment);
end.
